# configurations

abstract fun configurations(config: Action<in IvyConfigurationContainer>)

Defines some IvyConfigurations that should be included in the published ivy module descriptor file. The following example demonstrates how to add a "testCompile" configuration, and a "testRuntime" configuration that extends it.

    plugins {
        id 'java'
        id 'ivy-publish'
    }

    publishing {
      publications {
        ivy(IvyPublication) {
          configurations {
              testCompile {}
              testRuntime {
                  extend "testCompile"
              }
          }
        }
      }
    }

Content copied to clipboard

#### Parameters

config

An action or closure to configure the values of the constructed IvyConfiguration.